{
               PUBLIC VARIABLES
               ---------------------------------------
               Version      :   1.30
               Unit name    :   Publvar
               Code name    :   Framework
               Last Created :   1994/07/20
               Enviroment   :   Color/Monochrome
               Function     :   Public variables
               Coding       :   KIM, JIN HONG
               Belong       :   DESQ Labs
               ---------------------------------------
}

unit Publvar;

interface

{$R-}

const
  On       =true;
  Off      =not On;

type
  ScrnCell=array[1..25,1..80] of word;

var
  Scrn    :^ScrnCell;
  TimeTick:longint absolute $0040:$006C;

function  CCW(C:char;CO:byte):word; { char color word }
function  Color(F,B:byte):byte;

implementation

function Color;
begin Color:=F+B*16 end;

function CCW;
begin CCW:=word(CO) shl 8 + ord(C) end;

begin
  if mem[$000:$449]=7 then Scrn:=ptr($B000,0) else Scrn:=ptr($B800,0)
end.