unit TextFont;

interface

type
  FontType = array [0..15] of Byte;

  procedure GetFont(Code : Byte; var Table:FontType);
  procedure SetFont(Code : Byte; var Table:FontType);

implementation

(* ؽƮ Ʈ о *)
procedure GetFont;
var
  Generator : Pointer;

begin
  PortW[$3C4] := $0704; (* ؽƮ , Ext. Odd/Even Ʈ *)
  PortW[$3CE] := $0204; (* 2  ÷  *)
  PortW[$3CE] := $0005; (*   ÷ο ׳  *)
  PortW[$3CE] := $0406; (* ÷ A000   *)
  Generator := Ptr($A000, Code shl 5);   (* Ʈ ġ  *)
  Move(Generator^, Table, 16);  (* Ʈ  *)
  PortW[$3C4] := $0304; (* ؽƮ , Ext. Ʈ *)
  PortW[$3CE] := $0004; (* 0  ÷  *)
  PortW[$3CE] := $1005; (* ġ  ÷ο  *)

  PortW[$3CE] := $0E06; (* ÷ ۰ B800   *)
end;

procedure SetFont;
var
  Generator : Pointer;

begin
  PortW[$3C4] := $0402; (* 2  ÷    *)
  PortW[$3C4] := $0704; (* ؽƮ , Ext. Odd/Even Ʈ *)
  PortW[$3CE] := $0005; (*   ÷ο ׳  *)
  PortW[$3CE] := $0406; (* ÷ A000   *)
  Generator := Ptr($A000, Code shl 5);  (* Ʈ ġ  *)
  Move(Table, Generator^, 16); (* Ʈ  *)
  PortW[$3C4] := $0302; (* ÷ 0, 1    *)
  PortW[$3C4] := $0304; (* ؽƮ , Ext. Ʈ *)
  PortW[$3CE] := $1005; (* ġ  ÷ο  *)

  PortW[$3CE] := $0E06; (* ÷ ۰ B800   *)
end;
end.

